Bug 1206724 - [abrt] WARNING: CPU: 0 PID: 302 at kernel/sched/core.c:7326 __might_sleep+0x87/0x90() [NEEDINFO]
Summary: [abrt] WARNING: CPU: 0 PID: 302 at kernel/sched/core.c:7326 __might_sleep+0x8...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9e6ea0a024dfb4678c6e0c489a4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-27 21:37 UTC by John Williams
Modified: 2015-08-05 22:25 UTC (History)
6 users (show)

Fixed In Version: kernel-4.1.3-201.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 22:25:51 UTC
Type: ---
kernel-team: needinfo?


Attachments (Terms of Use)
File: dmesg (64.23 KB, text/plain)
2015-03-27 21:37 UTC, John Williams
no flags Details

Description John Williams 2015-03-27 21:37:23 UTC
Description of problem:
Starting laptop computer

Additional info:
reporter:       libreport-2.3.0
WARNING: CPU: 0 PID: 302 at kernel/sched/core.c:7326 __might_sleep+0x87/0x90()
do not call blocking ops when !TASK_RUNNING; state=1 set at [<ffffffff815fb3b8>] pccardd+0xd8/0x480
Modules linked in: i915 8139too i2c_algo_bit drm_kms_helper 8139cp ata_generic pata_acpi mii yenta_socket drm video
CPU: 0 PID: 302 Comm: pccardd Not tainted 3.19.1-201.fc21.x86_64+debug #1
Hardware name: ASUSTeK Computer Inc.         X58L                /X58L      , BIOS 201     09/08/2008
 0000000000000000 00000000665a84ab ffff88007826fc28 ffffffff8186e45c
 0000000000000000 ffff88007826fc80 ffff88007826fc68 ffffffff810ad80a
 ffff880035998950 ffffffff81c7699f 000000000000026d 0000000000000000
Call Trace:
 [<ffffffff8186e45c>] dump_stack+0x4c/0x65
 [<ffffffff810ad80a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810ad895>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff81138085>] ? del_timer_sync+0x5/0xf0
 [<ffffffff8102994a>] ? native_sched_clock+0x2a/0xa0
 [<ffffffff815fb3b8>] ? pccardd+0xd8/0x480
 [<ffffffff815fb3b8>] ? pccardd+0xd8/0x480
 [<ffffffff810ddc87>] __might_sleep+0x87/0x90
 [<ffffffff8187363d>] mutex_lock_nested+0x3d/0x440
 [<ffffffff810eb4b5>] ? local_clock+0x15/0x30
 [<ffffffff8110a32f>] ? lock_release_holdtime.part.29+0xf/0x200
 [<ffffffff81877726>] ? _raw_spin_unlock_irqrestore+0x36/0x70
 [<ffffffff8110dbad>] ? trace_hardirqs_on_caller+0x13d/0x1e0
 [<ffffffff815fb41c>] pccardd+0x13c/0x480
 [<ffffffff815fb2e0>] ? pcmcia_socket_dev_complete+0x40/0x40
 [<ffffffff810d5254>] kthread+0x104/0x120
 [<ffffffff810eb4b5>] ? local_clock+0x15/0x30
 [<ffffffff810d5150>] ? kthread_create_on_node+0x250/0x250
 [<ffffffff818782fc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810d5150>] ? kthread_create_on_node+0x250/0x250

Potential duplicate: bug 1180920

Comment 1 John Williams 2015-03-27 21:37:28 UTC
Created attachment 1007482 [details]
File: dmesg

Comment 2 Fedora Kernel Team 2015-04-28 18:34:48 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 22, and are still experiencing this issue, please change the version to Fedora 22.

If you experience different issues, please open a new bug report for those.

Comment 3 Fedora Update System 2015-07-30 17:52:14 UTC
kernel-4.1.3-201.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kernel-4.1.3-201.fc22

Comment 4 Fedora Update System 2015-07-31 07:56:14 UTC
Package kernel-4.1.3-201.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-4.1.3-201.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12437/kernel-4.1.3-201.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-08-05 22:25:51 UTC
kernel-4.1.3-201.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.